[arch-commits] Commit in e2fsprogs/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Ronald van Haren ronald at archlinux.org
Tue Oct 21 07:48:50 EDT 2008


    Date: Tuesday, October 21, 2008 @ 07:48:50
  Author: ronald
Revision: 16153

fix svnmerge failure

Modified:
  e2fsprogs/repos/testing-x86_64/	(properties)
  e2fsprogs/repos/testing-x86_64/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)


Property changes on: e2fsprogs/repos/testing-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /e2fsprogs/trunk:1-15356

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2008-10-21 11:48:48 UTC (rev 16152)
+++ testing-x86_64/PKGBUILD	2008-10-21 11:48:50 UTC (rev 16153)
@@ -4,7 +4,7 @@
 
 pkgname=e2fsprogs
 pkgver=1.41.3
-pkgrel=1
+pkgrel=2
 pkgdesc="Ext2/3/4 filesystem utilities"
 arch=('i686' 'x86_64')
 license=('GPL' 'LGPL' 'MIT')
@@ -13,31 +13,29 @@
 depends=('glibc')
 makedepends=('bc')
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz
-	Makefile-fsck.static.patch
-	mke2fs.conf)
-install=e2fsprogs.install
+	'Makefile-fsck.static.patch')
+backup=('etc/mke2fs.conf')
+install=$pkgname.install
 md5sums=('b21d26fc46c584021dc9c444933ee1c2'
-         'ce2b0daf84e17e8c7880ba3d43020ea3'
-         '4ebb30bdb5951f1fc86c1470e4d81532')
+         'ce2b0daf84e17e8c7880ba3d43020ea3')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
   
   # Remove unnecessary init.d directory
   sed -i '/init\.d/s|^|#|' misc/Makefile.in
+
   ./configure --prefix=/usr --with-root-prefix="" --enable-elf-shlibs
   
   # add fsck.static for mkinitrd use
   patch -Np1 -i ../Makefile-fsck.static.patch || return 1
   
   make || return 1
-  make DESTDIR=${pkgdir} install install-libs
+  make DESTDIR=${pkgdir} install install-libs || return 1
   make -C ${srcdir}/${pkgname}-${pkgver}/misc fsck.static || return 1
   
   install -D -m755 ${srcdir}/${pkgname}-${pkgver}/misc/fsck.static \
-	 ${pkgdir}/sbin/fsck.static
+	 ${pkgdir}/sbin/fsck.static || return 1
   
   sed -i -e 's/^AWK=.*/AWK=awk/' ${pkgdir}/usr/bin/compile_et || return 1
-  
-  install -m644 ${srcdir}/mke2fs.conf ${pkgdir}/etc/ || return 1
 }




More information about the arch-commits mailing list